/* RESPONSIVE TABLA COOKIES */



@media screen and (max-width: 768px) {



    .tabla-cookies {



        overflow-x: scroll;



    }



}



/* ---------- ESTILOS DEL BANNER DE COOKIES ---------- */



#moove_gdpr_cookie_info_bar {

  /* Fondo opaco */

  background: rgba(0, 0, 0, 0.5) !important;

  /* Permita ocupar toda la pantalla */

  max-height: 100vh !important;

}



.moove-gdpr-info-bar-container {

  /* Contenedor con el aviso de las cookies */

  /* Centrar el contenedor */

  display: flex !important;

  justify-content: center !important;

  align-items: center !important;

  /* Tamaño del contenedor completo */

  height: 100vh !important;

}



.moove-gdpr-info-bar-content {

  /* Párrafo y botones del aviso de las cookies */

  /* Tamaño del contenido */

  max-width: 700px;

  /* Hace que el botón se coloque debajo del texto */

  flex-direction: column !important;

  background: white;

  padding: 2% !important;

}



#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme {

  /* Eliminar el borde superior que aparece por defecto */

  border: none !important;

  /* Añadir sombra al contenedor */

  box-shadow: 5px 5px 15px #e2e2e2;

}



#moove_gdpr_cookie_info_bar.moove-gdpr-info-bar-hidden {

  /* Hacer que desaparezca correctamente el banner */

  bottom: -2100px !important;

}



/* Estilo para el BOTÓN */

.moove-gdpr-button-holder {

  /* Añadir margen superior respecto al texto en el banner principal */

  margin-top: 20px !important;

  /* Eliminar paddings innecesarios por defecto en el banner principal */

  padding-left: 0px !important;

  flex-direction: row-reverse !important;

}



/* Mantener el padding en el contenedor de los botones interiores */

#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-footer-content

  .moove-gdpr-button-holder {

  padding-left: 60px !important;

  padding-right: 60px !important;

  flex-direction: row !important;

  margin-top: 0px !important;

}



#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-footer-content

  .moove-gdpr-button-holder

  button.mgbutton {

  width: 45% !important;

  order: 1;

}



#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-footer-content

  .moove-gdpr-button-holder

  button.mgbutton.moove-gdpr-modal-allow-all {

  order: 2 !important;

}



button.mgbutton {

  /* Cambiar tamaño del botón y el tamaño de fuente en el banner principal */

  padding: 12px 50px !important;

  font-size: 16px !important;

}



#moove_gdpr_cookie_info_bar .moove-gdpr-cookie-notice p {

  /* Cambiar el estilo del texto */

  font-size: 16px !important;

  line-height: 1.5 !important;

  font-weight: 400 !important;

  text-align: center;

}



#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-footer-content

  .moove-gdpr-button-holder

  button.moove-gdpr-modal-reject-btn,

#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme

  .moove-gdpr-info-bar-container

  .moove-gdpr-info-bar-content

  .moove-gdpr-button-holder

  button,

#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-footer-content

  .moove-gdpr-button-holder

  a.mgbutton,

#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-footer-content

  .moove-gdpr-button-holder

  button.mgbutton {

  /* Estilos del botón de rechazar */

  background-color: #fff !important;

  background: #fff !important;

  border: 1px solid #000 !important;

  color: #000 !important;

  box-shadow: none !important;

  opacity: 0.7;

}



#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-footer-content

  .moove-gdpr-button-holder

  button.moove-gdpr-modal-reject-btn:hover,

#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme

  .moove-gdpr-info-bar-container

  .moove-gdpr-info-bar-content

  .moove-gdpr-button-holder

  button:hover {

  /* Estilos del botón de rechazar en el estado hover*/

  opacity: 1;

}



#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme

  .moove-gdpr-info-bar-container

  .moove-gdpr-info-bar-content

  .moove-gdpr-button-holder

  button.moove-gdpr-infobar-allow-all,

button.mgbutton.moove-gdpr-modal-allow-all.button-visible,

.gdpr_cookie_settings_shortcode_content .gdpr-shr-button.button-green,

#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-footer-content

  .moove-gdpr-button-holder

  button.mgbutton.moove-gdpr-modal-allow-all.button-visible {

  /* Estilos del botón de activar todas */

  background-color: var(--c-verde) !important;

  border-color: var(--c-verde) !important;

  color: #fff !important;

  opacity: 1;

}



#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme

  .moove-gdpr-info-bar-container

  .moove-gdpr-info-bar-content

  .moove-gdpr-button-holder

  button.moove-gdpr-infobar-allow-all:hover,

button.mgbutton.moove-gdpr-modal-allow-all.button-visible,

.gdpr_cookie_settings_shortcode_content .gdpr-shr-button.button-green:hover,

#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-footer-content

  .moove-gdpr-button-holder

  button.mgbutton.moove-gdpr-modal-allow-all.button-visible:hover {

  /* Estilos del botón de activar todas en el estado hover*/

  background: #000 !important;

  border-color: #000 !important;

  color: #fff !important;

}



/* BOTÓN CERRAR */

#moove_gdpr_cookie_modal .moove-gdpr-modal-content .moove-gdpr-modal-close i,

#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-close

  span.gdpr-icon {

  border-color: var(--c-verde) !important;

}



#moove_gdpr_cookie_info_bar

  .moove-gdpr-infobar-close-btn.moovegdpr-arrow-close:after,

#moove_gdpr_cookie_info_bar

  .moove-gdpr-infobar-close-btn.moovegdpr-arrow-close:before,

.gdpr-icon.moovegdpr-arrow-close:after,

.gdpr-icon.moovegdpr-arrow-close:before,

i.moovegdpr-arrow-close.moovegdpr-arrow-close:after,

i.moovegdpr-arrow-close.moovegdpr-arrow-close:before {

  background-color: var(--c-verde) !important;

}



#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-close:hover .moovegdpr-arrow-close {

  background-color: var(--c-verde) !important;

}



#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-close:hover

  .gdpr-icon.moovegdpr-arrow-close:before,

#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-close:hover

  .gdpr-icon.moovegdpr-arrow-close::after {

  background-color: var(--c-blanco) !important;

}





/* TEXTOS ETIQUETAS AJUSTES */

#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-left-content

  #moove-gdpr-menu

  li

  button {

  color: #000 !important;

}



/* Añadir botón GUARDAR en el panel de COOKIES */

#moove_gdpr_cookie_modal

  .moove-gdpr-modal-content

  .moove-gdpr-modal-footer-content

  .moove-gdpr-button-holder

  button.mgbutton.moove-gdpr-modal-save-settings {

  display: block !important;

}



@media screen and (max-width: 1024px) {

  /* Reducir padding del contenedor de botones interiores en las tablet para que no se descuadren */

  #moove_gdpr_cookie_modal

    .moove-gdpr-modal-content

    .moove-gdpr-modal-footer-content

    .moove-gdpr-button-holder {

    padding-left: 10px !important;

    padding-right: 10px !important;

  }



  #moove_gdpr_cookie_modal

    .moove-gdpr-modal-content

    .moove-gdpr-modal-footer-content

    .moove-gdpr-button-holder

    button.mgbutton {

    /* Cambiar tamaño del botón y el tamaño de fuente */

    padding: 12px !important;

  }

}



@media (min-width: 768px) and (max-width: 999px) {

  #moove_gdpr_cookie_modal .moove-gdpr-modal-content {

    min-height: 650px;

    transform: scale(.9) !important;

  }



  .gdpr_lightbox-content {

        margin-top: -60px;

    }

}



@media screen and (max-width: 768px) {

  .moove-gdpr-info-bar-content {

    /* Añadir relleno en el contenedor y que se separe de la ventana*/

    padding: 5% !important;

    max-width: 100%;

  }



  .moove-gdpr-button-holder {

    /* Centrar el botón de aceptar en los dispositivos móviles */

    justify-content: center !important;

    padding: 10px !important;

  }



  button.mgbutton {

    /* Cambiar tamaño del botón y el tamaño de fuente */

    padding: 5px 10px !important;

    font-size: 16px !important;

  }



  /* Hacer más grande sólo el botón principal en el móvil sin afectar a los botones interiores */

  #moove_gdpr_cookie_info_bar

    .moove-gdpr-info-bar-container

    .moove-gdpr-info-bar-content

    button.mgbutton {

    font-size: 15px !important;

    padding: 15px 35px !important;

  }



  #moove_gdpr_cookie_modal

    .moove-gdpr-modal-content

    .moove-gdpr-modal-footer-content

    .moove-gdpr-button-holder {

    background: #f1f1f1;

    margin: 0 0px !important;

    border-radius: 0 0 5px 5px;

    justify-content: space-between !important;

  }

}



@media screen and (max-width: 600px) {

  #moove_gdpr_cookie_info_bar .moove-gdpr-cookie-notice p {

    font-size: 14px !important;

  }



  .gdpr_lightbox-content {        

        margin-top: 0px;

    }

}



@media screen and (max-width: 510px) {

  #moove_gdpr_cookie_info_bar

    .moove-gdpr-info-bar-container

    .moove-gdpr-info-bar-content

    .moove-gdpr-button-holder {

    justify-content: space-between !important;

    flex-direction: row !important;

  }



  #moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme

    .moove-gdpr-info-bar-container

    .moove-gdpr-info-bar-content

    .moove-gdpr-button-holder

    button.moove-gdpr-infobar-allow-all {

    flex: 0 0 100% !important;

    margin: 10px 0 !important;

    order: 1 !important;

  }



  #moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme

    .moove-gdpr-info-bar-container

    .moove-gdpr-info-bar-content

    .moove-gdpr-button-holder

    button.moove-gdpr-infobar-reject-btn,

  #moove_gdpr_cookie_info_bar:not(.gdpr-full-screen-infobar)

    .moove-gdpr-info-bar-container

    .moove-gdpr-info-bar-content

    button.mgbutton.moove-gdpr-infobar-settings-btn {

    flex: 0 0 48% !important;

    padding: 15px !important;

    margin: 0 !important;

  }



#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme

  .moove-gdpr-info-bar-container

  .moove-gdpr-info-bar-content

  .moove-gdpr-button-holder

  button.moove-gdpr-infobar-reject-btn {

    order: 3 !important;

  }



#moove_gdpr_cookie_info_bar:not(.gdpr-full-screen-infobar)

  .moove-gdpr-info-bar-container

  .moove-gdpr-info-bar-content

  button.mgbutton.moove-gdpr-infobar-settings-btn {

  order: 2 !important;

}



  #moove_gdpr_cookie_modal .moove-gdpr-modal-content 

		.moove-gdpr-modal-footer-content 

    .moove-gdpr-button-holder button.mgbutton.moove-gdpr-modal-allow-all {

        order: 1 !important;

    }

}



@media screen and (max-width: 450px) {

  #moove_gdpr_cookie_modal

    .moove-gdpr-modal-content

    .moove-gdpr-modal-footer-content

    .moove-gdpr-button-holder

    button.mgbutton,

  #moove_gdpr_cookie_modal

    .moove-gdpr-modal-content

    .moove-gdpr-modal-footer-content

    .moove-gdpr-button-holder

    button.mgbutton.moove-gdpr-modal-allow-all {

    width: 100% !important;

  }

}